Name:           python-kmod
Version:        0.9.1
Release:        4
Summary:        Python module to work with kernel modules
License:        LGPLv2+
URL:            https://github.com/agrover/python-kmod/
Source0:        https://files.pythonhosted.org/packages/source/k/kmod/kmod-%{version}.tar.gz
BuildRequires:  python3-devel python3-Cython python3 kmod-devel python3-unversioned-command
BuildRequires:  kmod-libs perl gcc

%global _description\
Python bindings for kmod/libkmod. \
kmod is a set of tools to handle common tasks with Linux kernel modules like insert, remove, list, check properties, resolve dependencies and aliases.\
python-kmod is a Python wrapper module for libkmod, exposing common module operations: listing installed modules, modprobe, and rmmod. 

%description %_description

%package -n python3-kmod
Summary:        Python module to work with kernel modules

%description -n python3-kmod %_description

%package_help

%prep
%autosetup -n kmod-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-kmod
%{python3_sitearch}/kmod/
%{python3_sitearch}/*.egg-info
%doc COPYING.LESSER

%files help
%doc README

%changelog
* Wed Jun 23 2021 shangyibin <shangyibin1@huawei.com> - 0.9.1-4
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:add kmod-libs,perl,and gcc BuildRequires

* Tue Mar 23 2021 shixuantong <shixuantong@huawei.com> - 0.9.1-3
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:add debuginf and debugsource

* Fri Oct 30 2020 wuchaochao <wuchaochao4@huawei.com> - 0.9.1-2
- Type:bufix
- CVE:NA
- SUG:NA
- DESC:remove python2

* Thu Jul 30 2020 tianwei <tianwei12@huawei.com> - 0.9.1-1
- Package update to release 0.9.1

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9-21
- Package init
